# Upload_Certificate_Pdf

Upload a pdf using base64.

`PUT /v2/certificates/{id}/upload-pdf`

**API:** Avalara CertCapture RESTful APIs
**Tag:** Certificates
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/Certificates/Upload_Certificate_Pdf/

## Description

Upload a pdf to a certificate.  NOTE:  Certificate images will be automatically generated upon a successful upload.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access a client ID, it is available from Company Settings -> Company Details -> Company ID |
| `id` | integer | path | Yes | The id of the certificate object. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success |  |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

## Example Request

```bash
curl -X PUT "https://sbx-api.certcapture.com/v2/v2/certificates/{id}/upload-pdf" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```